Package com.mouseviator.fsuipc.helpers

# Class LuaHelper.LuaResult

java.lang.Object
com.mouseviator.fsuipc.helpers.LuaHelper.LuaResult

Enclosing class:
  LuaHelper

    public static class LuaHelper.LuaResult
    extends java.lang.Object

A class representing a result for lua control helper functions in the class `LuaHelper`. Controlling lua program via FSUIPC requires 2 data requests. One request to tell FSUIPC what to do with specified lua program - the `()` , and the other request - `getParamRequest()` as the parameter to the lua program, if any.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LuaResult()` | Constructs new uninitialized MacroResult.
  `LuaResult​(LuaHelper.LuaControlRequest controlRequest, LuaHelper.LuaParamRequest paramRequest)` | Constructs new LuaResult with reference to the data requests for lua program control.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `LuaHelper.LuaControlRequest` | `getControlRequest()` |
  `LuaHelper.LuaParamRequest` | `getParamRequest()` |
  `void` | `setControlRequest​(LuaHelper.LuaControlRequest controlRequest)` | Sets the control request.
  `void` | `setParamRequest​(LuaHelper.LuaParamRequest paramRequest)` | Sets the parameter request.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LuaResult

    public LuaResult()
    Constructs new uninitialized MacroResult.

  - ### LuaResult

    public LuaResult​(LuaHelper.LuaControlRequest controlRequest, LuaHelper.LuaParamRequest paramRequest)
    Constructs new LuaResult with reference to the data requests for lua program control.
    Parameters:
      `controlRequest` - A lua program control request telling FSUIPC what to do with given macro.
      `paramRequest` - A parameter data request for the control request.

- ## Method Details

  - ### getParamRequest

    public LuaHelper.LuaParamRequest getParamRequest()
    Returns:
      Return the parameter request.

  - ### setParamRequest

    public void setParamRequest​(LuaHelper.LuaParamRequest paramRequest)
    Sets the parameter request.
    Parameters:
      `paramRequest` - The parameter request to set.

  - ### getControlRequest

    public LuaHelper.LuaControlRequest getControlRequest()
    Returns:
      Returns the control request.

  - ### setControlRequest

    public void setControlRequest​(LuaHelper.LuaControlRequest controlRequest)
    Sets the control request.
    Parameters:
      `controlRequest` - The control request to set.